%define tarball xf86-video-ati
%define git_url git://anongit.freedesktop.org/xorg/driver/xf86-video-ati 6.12-branch
#global gitdate 20160928
#global gitversion 3fc839ff

%define subrel 1
%define rel 1
%if 0%{?gitdate}
%define gver .%{gitdate}git%{gitversion}
%endif

Name: x11-driver-video-ati
Version: 7.10.0
Release: %mkrel %{rel}%{?gver}
Epoch: 1
Summary: X.org driver for ATI Technologies
Group: System/X11
URL: http://xorg.freedesktop.org
%if 0%{?gitdate}
Source0: %{tarball}-%{gitdate}.tar.xz
%else
Source0: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.bz2
%endif

# upstream git:
Patch0:		Fix-VT-switching-with-ShadowFB.patch
Patch1:		Bail-if-there-s-a-problem-with-ShadowFB.patch
Patch2:		Unreference-pixmap-s-FB-with-EXA-as-well-in-radeon_s.patch
Patch3:		Fix-non-GLAMOR-build.patch

# Fedora patches:
#Patch1:	fix-dri-removal.patch
Patch10:	radeon-6.12.2-lvds-default-modes.patch
Patch13:	fix-default-modes.patch

License: MIT

BuildRequires: pkgconfig(libdrm) >= 2.4.46
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.19.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: GL-devel
BuildRequires: pkgconfig(libudev)

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Obsoletes: x11-driver-video-radeonhd
Provides: x11-driver-video-radeonhd

Recommends: x11-driver-video-r128
Recommends: x11-driver-video-mach64
Recommends: radeon-firmware


%description
x11-driver-video-ati is the X.org driver for ATI Technologies.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{?!gitdate:%{version}}
%autopatch -p1
sed -i '/USE_XAA, 1/d' configure.ac

%build
autoreconf -ifs
%configure2_5x --disable-static --enable-glamor
%make

%install
%make_install
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%{_libdir}/xorg/modules/drivers/radeon_drv.so
%{_libdir}/xorg/modules/drivers/ati_drv.so
%{_mandir}/man4/ati.*
%{_mandir}/man4/radeon.*
%{_datadir}/X11/xorg.conf.d/10-radeon.conf


%changelog
* Tue Mar 06 2018 tmb <tmb> 1:7.10.0-1.1.mga6
  (not released yet)
+ Revision: 1206933
- Fix VT switching with ShadowFB
- Bail if there's a problem with ShadowFB
- Unreference pixmap's FB with EXA as well in radeon_set_pixmap_bo
- Fix non GLAMOR build
- update to 7.10.0

* Fri Mar 17 2017 tv <tv> 1:7.9.0-1.mga6
+ Revision: 1093268
- new release

* Thu Nov 17 2016 tv <tv> 1:7.8.0-1.mga6
+ Revision: 1067880
- new release

* Thu Nov 17 2016 tv <tv> 1:7.7.1-2.20160928git3fc839ff.mga6
+ Revision: 1067632
- use a git snapshot (equivalent of 7.7.1 + fixes for use with xserver-1.19)
- remove very old conflict tags
- rebuild for xserver 1.19

* Thu Sep 15 2016 tv <tv> 1:7.7.1-1.mga6
+ Revision: 1053126
- use %%make_install
- BR libudev-devel
- new version

* Fri Jul 22 2016 tmb <tmb> 1:7.7.0-4.mga6
+ Revision: 1043181
- sync in more upstream fixes

* Tue Jul 05 2016 tmb <tmb> 1:7.7.0-3.mga6
+ Revision: 1038929
- sync in fixes from upstream git

* Wed May 25 2016 joequant <joequant> 1:7.7.0-2.mga6
+ Revision: 1018227
- sync with fedora patches

* Fri Apr 08 2016 tv <tv> 1:7.7.0-1.mga6
+ Revision: 999348
- new release

* Sun Mar 06 2016 blino <blino> 1:7.6.1-2.mga6
+ Revision: 986263
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 tv <tv> 1:7.6.1-1.mga6
+ Revision: 902665
- new release

* Wed Nov 11 2015 tv <tv> 1:7.6.0-1.20150729git5510cd6.mga6
+ Revision: 902264
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1:7.6.0-0.20150729git5510cd6.mga6
+ Revision: 901519
- git snapshot compatible with xserver 1.18
- rebuild for new xserver

* Fri Aug 21 2015 tmb <tmb> 1:7.5.0-6.mga6
+ Revision: 867088
- rebuild for new gcc

* Thu Aug 20 2015 tmb <tmb> 1:7.5.0-5.mga6
+ Revision: 866720
- rebuild with gcc 5.2.1

* Sat Jun 20 2015 tv <tv> 1:7.5.0-4.mga6
+ Revision: 835934
- rebuild for xserver 1.17

* Sat Feb 21 2015 tv <tv> 1:7.5.0-3.mga5
+ Revision: 816229
- rebuild against enabled glamor xorg server

* Wed Oct 15 2014 umeabot <umeabot> 1:7.5.0-2.mga5
+ Revision: 740809
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tmb <tmb> 1:7.5.0-1.mga5
+ Revision: 736247
- enable hawaii acceleration, add more hw pci ids

* Tue Sep 16 2014 umeabot <umeabot> 1:7.4.0-2.mga5
+ Revision: 690422
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jun 25 2014 tv <tv> 1:7.4.0-1.mga5
+ Revision: 639720
- drop merged patches
- new release

* Sat Jun 14 2014 tv <tv> 1:7.3.0-6.mga5
+ Revision: 636151
- add server managed fd support (from git)

* Mon Jun 09 2014 tv <tv> 1:7.3.0-5.mga5
+ Revision: 634963
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1:7.3.0-4.mga5
+ Revision: 633632
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 1:7.3.0-3.mga5
+ Revision: 633621
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1:7.3.0-2.mga5
+ Revision: 614307
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1:7.3.0-1.mga5
+ Revision: 582216
- new release
- drop merged patches

* Sun Jan 05 2014 tmb <tmb> 1:7.2.0-9.mga4
+ Revision: 564917
- radeon/kms: add berlin pci ids
- radeon: enable glamor by default (v4)
- glamor: require 0.5.1 or newer
- DRI2: Install client callback only once
- radeon: fix limit handling for cards with >4G of ram
- radeon: use glamor Xv support if present.
- drm/radeon: fix non-glamor build
- radeon: fix the non-glamor build harder...
- EXA/evergreen: Paranoia around linear tiling. (v2)
- radeon/glamor: with new pixmap for dri2 drawable no need to create new texture
- radeon: disable 2D tiling on buffers < 128 pixels
- radeon: enable tiling on SI by default (v2)
- radeon: add support for Hawaii
- radeon/kms: add Hawaii pci ids
- radeon: Set first parameter of drmOpen() to NULL
- drm/radeon: fix SUMO2 pci id

* Fri Dec 06 2013 tmb <tmb> 1:7.2.0-8.mga4
+ Revision: 555557
- rebuild for new mesa

* Wed Dec 04 2013 tmb <tmb> 1:7.2.0-7.mga4
+ Revision: 555152
- try build with mesa 10

* Sat Oct 19 2013 umeabot <umeabot> 1:7.2.0-6.mga4
+ Revision: 535102
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 tv <tv> 1:7.2.0-5.mga4
+ Revision: 481103
- compile with glamor support

* Fri Aug 30 2013 tmb <tmb> 1:7.2.0-4.mga4
+ Revision: 473452
- libdrm 2.4.46 is required
- radeon: disallow glamor on pre-R600 asics
- Fix shadowfb on big-endian machines

* Sun Aug 11 2013 tmb <tmb> 1:7.2.0-3.mga4
+ Revision: 465409
- rebuild with new gcc

* Thu Aug 08 2013 tmb <tmb> 1:7.2.0-2.mga4
+ Revision: 464584
- gcc-4.8.2 build

* Thu Aug 08 2013 tmb <tmb> 1:7.2.0-1.mga4
+ Revision: 464583
- update to 7.2.0
- drop merged patches

* Thu Aug 01 2013 tmb <tmb> 1:7.1.0-7.mga4
+ Revision: 462260
- force gcc 4.8.2 build

* Thu Aug 01 2013 tmb <tmb> 1:7.1.0-6.mga4
+ Revision: 462189
- test gcc-4.8.2 build

* Thu May 30 2013 tv <tv> 1:7.1.0-5.mga4
+ Revision: 433101
- submit to core/release

* Sat Apr 27 2013 tmb <tmb> 1:7.1.0-4.mga4
+ Revision: 411331
- radeon: add new SI and Richland pci ids

* Sat Mar 30 2013 tmb <tmb> 1:7.1.0-3.mga3
+ Revision: 406623
- add Richland pci ids (P3)
- mark trinity APUs with IGP flag

* Thu Feb 07 2013 tmb <tmb> 1:7.1.0-2.mga3
+ Revision: 395034
- add Amd Oland (HD88xx support)

* Wed Feb 06 2013 tmb <tmb> 1:7.1.0-1.mga3
+ Revision: 395002
- 7.1.0: bugfixes, some additional hw support

* Mon Jan 14 2013 umeabot <umeabot> 1:7.0.0-4.mga3
+ Revision: 385975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 tmb <tmb> 1:7.0.0-3.mga3
+ Revision: 336647
- enable 2D acceleration on SI / HD7xxx (P0, upstream)

* Mon Nov 26 2012 tv <tv> 1:7.0.0-2.mga3
+ Revision: 322151
- submit to core/release

* Sun Nov 11 2012 tv <tv> 1:7.0.0-1.mga3
+ Revision: 317073
- new release

* Sun Sep 09 2012 tv <tv> 1:6.14.6-4.mga3
+ Revision: 291054
- obsolete radeonhd driver (incompatible with 1.13 server)

* Sat Sep 08 2012 tv <tv> 1:6.14.6-3.mga3
+ Revision: 289974
- bump release
+ tmb <tmb>
- disable XAA support so it builds with x11-server 1.13

* Thu Jul 19 2012 tmb <tmb> 1:6.14.6-2.mga3
+ Revision: 272407
- rebuild for new glibc

* Fri Jun 29 2012 tv <tv> 1:6.14.6-1.mga3
+ Revision: 265119
- new release

* Fri Jun 08 2012 tmb <tmb> 1:6.14.5-1.mga3
+ Revision: 257861
- UMS: Fix CRTC DPMS state check (P0)
+ tv <tv>
- new release

* Wed Jun 06 2012 tmb <tmb> 1:6.14.4-5.mga3
+ Revision: 256381
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1:6.14.4-4.mga3
+ Revision: 252962
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1:6.14.4-3.mga3
+ Revision: 249785
- rebuild for new X.org server

* Tue May 29 2012 tv <tv> 1:6.14.4-2.mga3
+ Revision: 249129
- fix ussues with new cairo

* Tue Apr 03 2012 tmb <tmb> 1:6.14.4-1.mga2
+ Revision: 228060
- bump requires on libdrm
- update to 6.14.4 (adds Amd Trinity support)

* Tue Dec 06 2011 tmb <tmb> 1:6.14.3-3.mga2
+ Revision: 177443
- submit to core/release

* Thu Nov 03 2011 tv <tv> 1:6.14.3-2.mga2
+ Revision: 162004
- rebuild for xserver-1.11

* Thu Nov 03 2011 tv <tv> 1:6.14.3-1.mga2
+ Revision: 162003
- new release

* Sat Oct 08 2011 tv <tv> 1:6.14.2-2.mga2
+ Revision: 153086
- rebuild for xserver-1.11

* Tue Jun 07 2011 tmb <tmb> 1:6.14.2-1.mga2
+ Revision: 101627
- update to 6.14.2
- drop P0 (merged)

* Tue Mar 22 2011 tmb <tmb> 1:6.14.1-4.mga1
+ Revision: 75490
- add upstream bugfix for r6xx/r7xx ums mode

* Tue Mar 22 2011 tv <tv> 1:6.14.1-3.mga1
+ Revision: 75399
- clean description

* Mon Mar 21 2011 tmb <tmb> 1:6.14.1-2.mga1
+ Revision: 75333
- suggest radeon-firmware

* Fri Mar 18 2011 tv <tv> 1:6.14.1-1.mga1
+ Revision: 73955
- bump release

* Fri Mar 04 2011 tv <tv> 1:6.14.0-4.mga1
+ Revision: 64389
- rebuild for new xserver-1.10

* Thu Mar 03 2011 tv <tv> 1:6.14.0-3.mga1
+ Revision: 63752
- patch 1: fix build with xserver-1.10

* Wed Feb 09 2011 tmb <tmb> 1:6.14.0-2.mga1
+ Revision: 49457
- UMS/DCE3.2: fix segfault

* Fri Feb 04 2011 tmb <tmb> 1:6.14.0-1.mga1
+ Revision: 46819
- update to 6.14.0 final

* Sun Jan 30 2011 tmb <tmb> 1:6.13.99-0.20110127.1.mga1
+ Revision: 44737
- update to 2011-01-27

* Sun Jan 23 2011 tmb <tmb> 1:6.13.99-0.20110121.1.mga1
+ Revision: 35553
- update to 2011-01-21 snapshot

* Sun Jan 23 2011 blino <blino> 1:6.13.99-0.20101029.1.mga1
+ Revision: 35248
- imported package x11-driver-video-ati


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1:6.13.99-0.20101029.1mdv2011.0
+ Revision: 595706
- require xorg server with proper ABI
- new snapshot
- KMS aware snapshot
- branch
- new release
- new release
- new release
- improved description
- add missing dot at end of description
- improved summary
- new release
- kill re-definition of %%buildroot on Pixel's request
- patch 1: more git fixes (fixing fd.o #12770 regarding LCD monitor detection on xpress 200)
- patch 1: git fixes (fixing fd.o #12770 regarding CRT monitor detection on xpress 200)
- new release
- kill old patch 0
- new release
- explicitely conflicts with x11-driver-video-ati_6.7
- do not harcode man pages extension
- reupload stable driver
- restore stable 6.6.3 driver

  + Thomas Backlund <tmb@mandriva.org>
    - update to 2010-10-29 snapshot
    - update to 6.13.99 snapshot (Evergreen Acceleration support)

  + Paulo Ricardo Zanoni <pzanoni@mandriva.com>
    - New git snapshot with improved evergreen support
    - New version: 6.12.99-0.20100202

  + Ander Conselvan de Oliveira <ander@mandriva.com>
    - Change default acceleration method to EXA.
    - Sync with 6.12-branch
    - Fix dual head cursor corruption (mdv #50560)
    - New version 6.12.2
    - New version 6.12.1
    - New version 6.11.0
    - use %%configure2_5x instead of %%configure to silence ./configure warnings
    - New version
    - Add suggests tag for r128 and mach64 to avoid backporting issues. (#41710)

  + Olivier Blin <oblin@mandriva.com>
    - 6.12.0

  + Colin Guthrie <cguthrie@mandriva.org>
    - Rebuild for new xserver

  + Adam Williamson <awilliamson@mandriva.org>
    - rebuild for new X server
    - drop git.diff (came from git so will be in this new version)
    - new release 6.7.196

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Attempt fix for bugs:
      o X hangs at startup with ati driver (http://qa.mandriva.com/show_bug.cgi?id=37209) and
      In this case, just used git-cherry-pick to match code in git master, where
      it has been reverted to match bios agp configuration, unless overriden
      by AgpMode option in xorg.conf.
      o X windows server will not start with new install of 2008.1 Beta 1 (http://qa.mandriva.com/show_bug.cgi?id=37292)
      Backport two commits to attempt to get a more sane output configuration,
      as the bug report shows that the driver got confused and did not understand
      that the monitor section already refered to the LVDS monitor.
    - Must be rebuilt due to an incorrect change added in previous X Server
      build. Must be rebuilt with latest X Server sdk headers.
    - Revert to use only upstream tarball and only mandatory patches.
    - Updated BuildRequires and resubmit package.
    - Update to version 6.7.197.
      Rebase mandriva git branch to xf86-video-ati-6.7.197 and remake patches
      acordingly.
    - Disable debug package.
      Update BuildRequires.
      Update to ati-6.7.197 deferred as there is no git tag for the proper version
      and signficant amount of ``compiled test-only'' commits. Need to have package
      in cooker before spending significant time on this package.
    - Fix linkage problems with -fvisibility=hidden due to symbols being accessed
      using LoaderSymbol (basically dlsym) as such symbols must be made of default
      visibility.
      Also some "janitor" work by adding prototypes to functions without prototypes,
      converting to static functions without prototype and used in a single file
      and fixing incorrect declarations and also moving some declarations to header
      files.
    - Remove -devel package as it isn't really required as it provides only 2 files
      that aren't even header files; still don't install the .la files.
      All dependency files should be stored in the x11-util-modular package as they
      are only required for the "modular" build.
    - Move .la files to new -devel package, and also add .deps files to -devel package.
    - Update ati module to use tarball from tag xf86-video-ati-6.7.196, and
      remake mandriva branches, and apply mandriva patches from that point.
      This probably won't make everybody happy, but was probably the major
      concern about the misunderstandings about the changes to Mandriva x11
      related packages.
    - Update for new policy of hidden symbols and common macros.
    - Possible fix to bugzilla #32553

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - re-enable rpm debug packages support
    - minor spec cleanup
    - build against new xserver (1.4)

